local toggles = {
	--BASE
	butterfly = (GetModConfigData("butterfly")),
	frog = (GetModConfigData("frog")),
	merm = (GetModConfigData("merm")),
	pigman = (GetModConfigData("pigman")),
	pigguard = (GetModConfigData("pigguard")),
	rabbit = (GetModConfigData("rabbit")),
	perd = (GetModConfigData("perd")),
	--CAVE
	bunnyman = (GetModConfigData("bunnyman")),
	monkey = (GetModConfigData("monkey")),
	--RoG
	catcoon = (GetModConfigData("catcoon")),
	lightninggoat = (GetModConfigData("lightninggoat")),
	--SW
	primeape = (GetModConfigData("primeape")),
	crab = (GetModConfigData("crab")),
	snake = (GetModConfigData("snake")),
	sharx = (GetModConfigData("sharx")),
	sharkitten = (GetModConfigData("sharkitten")),
	stungray = (GetModConfigData("stungray")),
	wildbore = (GetModConfigData("wildbore")),
	mermfisher = (GetModConfigData("mermfisher")),
	jellyfish_planted = (GetModConfigData("jellyfish")),
	doydoy = (GetModConfigData("doydoy")),
	doydoybaby = (GetModConfigData("doydoy")),
}

Assets = {
	-------------BASE
	--Butterflies
	Asset("ANIM", "anim/butterfly_basic.zip"),
	Asset("ANIM", "anim/butterfly_blue.zip"),
	Asset("ANIM", "anim/butterfly_purple.zip"),
	Asset("ANIM", "anim/butterfly_green.zip"),
	Asset("ANIM", "anim/butterfly_yellow.zip"),
	--Frogs
	Asset("ANIM", "anim/frog_2.zip"),
	Asset("ANIM", "anim/frog_3.zip"),
	Asset("ANIM", "anim/frog_4.zip"),
	Asset("ANIM", "anim/frog_5.zip"),
	--Merms
	Asset("ANIM", "anim/merm_build_2.zip"),
	Asset("ANIM", "anim/merm_build_3.zip"),
    Asset("ANIM", "anim/merm_build_4.zip"),
    Asset("ANIM", "anim/merm_build_5.zip"),
	--Pigmen
	Asset("ANIM", "anim/pig_build_2.zip"),
	Asset("ANIM", "anim/pig_build_3.zip"),
	Asset("ANIM", "anim/pig_build_4.zip"),
	Asset("ANIM", "anim/pig_build_5.zip"),
	--Pig Guards
	Asset("ANIM", "anim/pig_guard_build_2.zip"),
	Asset("ANIM", "anim/pig_guard_build_3.zip"),
	Asset("ANIM", "anim/pig_guard_build_4.zip"),
	Asset("ANIM", "anim/pig_guard_build_5.zip"),
	--Rabbits
	Asset("ANIM", "anim/rabbit_build_red.zip"),
	Asset("ANIM", "anim/rabbit_build_gold.zip"),
	Asset("ANIM", "anim/rabbit_build_grey.zip"),
	Asset("ANIM", "anim/rabbit_build_brown.zip"),
	--Gobbler
	Asset("ANIM", "anim/perd_black.zip"),
	Asset("ANIM", "anim/perd_grey.zip"),
	Asset("ANIM", "anim/perd_orange.zip"),
	Asset("ANIM", "anim/perd_purple.zip"),
	-------------CAVES
	--Bunnymen
	Asset("ANIM", "anim/manrabbit_build_beige.zip"),
	Asset("ANIM", "anim/manrabbit_build_blonde.zip"),
	Asset("ANIM", "anim/manrabbit_build_brown.zip"),
	Asset("ANIM", "anim/manrabbit_build_grey.zip"),
	--Splumonkey
	Asset("ANIM", "anim/kiki_beige.zip"),
	Asset("ANIM", "anim/kiki_grey.zip"),
	Asset("ANIM", "anim/kiki_purple.zip"),
	Asset("ANIM", "anim/kiki_red.zip"),
	-------------RoG
	--Catcoons
	Asset("ANIM", "anim/catcoon_brown.zip"),
	Asset("ANIM", "anim/catcoon_tan.zip"),
	Asset("ANIM", "anim/catcoon_dark.zip"),
	Asset("ANIM", "anim/catcoon_orange.zip"),
	--Lightning Goats
	Asset("ANIM", "anim/lightning_goat_brown.zip"),
	Asset("ANIM", "anim/lightning_goat_grey.zip"),
	Asset("ANIM", "anim/lightning_goat_purple.zip"),
	Asset("ANIM", "anim/lightning_goat_teal.zip"),
	-------------SW
	--crab
	Asset("ANIM", "anim/crabbit_build_gold.zip"),
	Asset("ANIM", "anim/crabbit_build_orange.zip"),
	Asset("ANIM", "anim/crabbit_build_pink.zip"),
	Asset("ANIM", "anim/crabbit_build_turquoise.zip"),
	--wildbore
	Asset("ANIM", "anim/wildbore_build_red.zip"),
	Asset("ANIM", "anim/wildbore_build_grey.zip"),
	Asset("ANIM", "anim/wildbore_build_gold.zip"),
	Asset("ANIM", "anim/wildbore_build_brown.zip"),
	--snake
	Asset("ANIM", "anim/snake_build_orange.zip"),
	Asset("ANIM", "anim/snake_build_purple.zip"),
	Asset("ANIM", "anim/snake_build_blue.zip"),
	Asset("ANIM", "anim/snake_build_green.zip"),
	--jellyfish
	Asset("ANIM", "anim/jellyfish_blue.zip"),
	Asset("ANIM", "anim/jellyfish_green.zip"),
	Asset("ANIM", "anim/jellyfish_pink.zip"),
	Asset("ANIM", "anim/jellyfish_purple.zip"),
	--sharx/seahound
	Asset("ANIM", "anim/sharx_build_blue.zip"),
	Asset("ANIM", "anim/sharx_build_brown.zip"),
	Asset("ANIM", "anim/sharx_build_grey.zip"),
	Asset("ANIM", "anim/sharx_build_orange.zip"),
	--sharkitten
	Asset("ANIM", "anim/sharkitten_build_brown.zip"),
	Asset("ANIM", "anim/sharkitten_build_gold.zip"),
	Asset("ANIM", "anim/sharkitten_build_red.zip"),
	Asset("ANIM", "anim/sharkitten_build_sand.zip"),
	--primeape
	Asset("ANIM", "anim/junglekiki_build_gold.zip"),
	Asset("ANIM", "anim/junglekiki_build_green.zip"),
	Asset("ANIM", "anim/junglekiki_build_pink.zip"),
	Asset("ANIM", "anim/junglekiki_build_purple.zip"),
	--fishermerm
	Asset("ANIM", "anim/merm_fisherman_build_brown.zip"),
	Asset("ANIM", "anim/merm_fisherman_build_grey.zip"),
	Asset("ANIM", "anim/merm_fisherman_build_purple.zip"),
	Asset("ANIM", "anim/merm_fisherman_build_turquoise.zip"),
	--stunkray
	Asset("ANIM", "anim/stinkray_blue.zip"),
	Asset("ANIM", "anim/stinkray_brown.zip"),
	Asset("ANIM", "anim/stinkray_green.zip"),
	Asset("ANIM", "anim/stinkray_purple.zip"),
	--doydoy
	Asset("ANIM", "anim/doydoy_adult_build_purple.zip"),
	Asset("ANIM", "anim/doydoy_baby_build_purple.zip"),
	Asset("ANIM", "anim/doydoy_adult_build_green.zip"),
	Asset("ANIM", "anim/doydoy_baby_build_green.zip"),
	Asset("ANIM", "anim/doydoy_adult_build_orange.zip"),
	Asset("ANIM", "anim/doydoy_baby_build_orange.zip"),
	Asset("ANIM", "anim/doydoy_adult_build_yellow.zip"),
	Asset("ANIM", "anim/doydoy_baby_build_yellow.zip"),
}

local varietyanimals = {
	--BASE
	butterfly = {"butterfly_basic","butterfly_blue","butterfly_purple","butterfly_green","butterfly_yellow"},
	frog = {"frog","frog_2","frog_3","frog_4","frog_5"},
	merm = {"merm_build","merm_build_2","merm_build_3","merm_build_4","merm_build_5"},
	pigman = {"pig_build","pigspotted_build", "pig_build_2","pig_build_3","pig_build_4","pig_build_5"},
	pigguard = {"pig_guard_build","pig_guard_build_2","pig_guard_build_3","pig_guard_build_4","pig_guard_build_5"},
	rabbit = {"rabbit_build","rabbit_build_brown","rabbit_build_gold","rabbit_build_grey","rabbit_build_red"},
	perd = {"perd","perd_black","perd_grey","perd_orange","perd_purple"},
	--CAVES
	bunnyman = {"manrabbit_build","manrabbit_build_beige","manrabbit_build_brown","manrabbit_build_blonde","manrabbit_build_grey"},
	monkey = {"kiki_basic","kiki_beige","kiki_purple","kiki_grey","kiki_red"},
	--ROG
	catcoon = {"catcoon_build","catcoon_brown","catcoon_tan","catcoon_dark","catcoon_orange"},
	lightninggoat = {"lightning_goat_build","lightning_goat_brown","lightning_goat_grey","lightning_goat_purple","lightning_goat_teal"},
	--SW
	crab = {"crabbit_build","crabbit_build_orange","crabbit_build_pink","crabbit_build_gold","crabbit_build_turquoise"},
	primeape = {"junglekiki_build","junglekiki_build_gold","junglekiki_build_green","junglekiki_build_pink","junglekiki_build_purple"},
	snake = {"snake_build","snake_build_orange","snake_build_purple","snake_build_blue","snake_build_green"},
	sharx = {"sharx_build","sharx_build_blue","sharx_build_brown","sharx_build_grey","sharx_build_orange"},
	sharkitten = {"sharkitten_build","sharkitten_build_brown","sharkitten_build_gold","sharkitten_build_red","sharkitten_build_sand"},
	stungray = {"stinkray","stinkray_brown","stinkray_green","stinkray_blue","stinkray_purple"},
	wildbore = {"wildbore_build","wildbore_build_red","wildbore_build_grey","wildbore_build_gold","wildbore_build_brown"},
	mermfisher = {"merm_fisherman_build","merm_fisherman_build_brown","merm_fisherman_build_grey","merm_fisherman_build_purple","merm_fisherman_build_turquoise"},
	jellyfish_planted = {"jellyfish","jellyfish_blue","jellyfish_green","jellyfish_pink","jellyfish_purple"},
	doydoy = {"doydoy_adult_build","doydoy_adult_build_purple","doydoy_adult_build_green","doydoy_adult_build_yellow","doydoy_adult_build_orange"},
	doydoybaby = {"doydoy_baby_build","doydoy_baby_build_purple","doydoy_baby_build_green","doydoy_baby_build_yellow","doydoy_baby_build_orange"},
}

for animal, builds in pairs(varietyanimals) do
    if toggles[animal] then
        AddPrefabPostInit(animal, function(inst)
            local chosenbuild = builds[math.random(#builds)]
            inst.AnimState:SetBuild(chosenbuild)
           
            if inst.build then
                inst.build = chosenbuild
            end
                   
            inst._OnSave = inst.OnSave --get the current save/load functions
            inst._OnLoad = inst.OnLoad --if they exist
           
            inst.OnSave = function(inst, data)
                data.build = chosenbuild
                if inst._OnSave then
                    inst._OnSave(inst, data)
                end
            end
           
            inst.OnLoad = function(inst, data)
                if data and data.build then
                    inst.AnimState:SetBuild(data.build)
                    if inst.build then
                        inst.build = data.build
                    end
                end
                if inst._OnLoad then
                    inst._OnLoad(inst, data)
                end
            end
        end)
    end
end